jQuery(document).ready(function() {
  jQuery('.external-file').each(function() {
    var config = jQuery(this)
    var source = config.data('source');
    jQuery.ajax ({
      url: source,
      dataType: 'text',
      success: function(data){
        config.append(data);
      },
      complete: function(){
        config.addClass('external-file-loaded');
      }
    })
  })
})
